#-----------------------------------------------------------------------------
#  Copyright (C) 2008 Thomas S. Ullrich 
#
#  This file is part of "eDISK".
#
#  This file may be used under the terms of the GNU General Public License.
#  This project is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License.
#  
#  Author: Thomas S. Ullrich
#  Last update: Feb 10, 2008
#-----------------------------------------------------------------------------
TEMPLATE = app
CONFIG  += qt warn_on release
QT += network xml widgets printsupport

RESOURCES += eDISK.qrc

win32 {
   RC_FILE += eDISK.rc
   ICON += eDISK.ico
}
macx {
   ICON += eDISK.icns
   CONFIG += x86
   LIBS += -framework Cocoa
}

ICON = eDISK.icns
 
HEADERS = eDISKWindow.h \
          eDISKHelpBrowser.h \
	      eDISKinematics.h
SOURCES = main.cpp \
          eDISKWindow.cpp \
 	      eDISKHelpBrowser.cpp \
          eDISKinematics.cpp
